qpid::client::Handle Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes
qpid::client::Handle Class Reference

A handle is like a pointer: refers to an underlying implementation object. More...

`#include <qpid/client/Handle.h>`

List of all members.

## Public Member Functions
QPID_CLIENT_INLINE_EXTERN bool | isValid () const
QPID_CLIENT_INLINE_EXTERN bool | isNull () const
QPID_CLIENT_INLINE_EXTERN | operator bool () const
| Conversion to bool supports idiom if (handle) { handle->...
QPID_CLIENT_INLINE_EXTERN bool | operator! () const
| Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.
void | swap (Handle< T > &h)
## Protected Types
typedef T | Impl
## Protected Member Functions
QPID_CLIENT_INLINE_EXTERN | Handle ()
| Handle (const Handle &)
Handle & | operator= (const Handle &)
## Protected Attributes
Impl * | impl

## Detailed Description

A handle is like a pointer: refers to an underlying implementation object.

Copying the handle does not copy the object.

Handles can be null, like a 0 pointer. Use isValid(), isNull() or the conversion to bool to test for a null handle.

## Member Typedef Documentation

typedef T qpid::client::Handle::Impl`[protected]`

Definition at line 57 of file Handle.h.

## Constructor & Destructor Documentation

QPID_CLIENT_INLINE_EXTERN qpid::client::Handle::Handle | ( |  | ) | `[inline, protected]`

Definition at line 58 of file Handle.h.

qpid::client::Handle::Handle | ( | const Handle & |  | ) | `[protected]`

## Member Function Documentation

QPID_CLIENT_INLINE_EXTERN bool qpid::client::Handle::isNull | ( |  | ) | const`[inline]`

Returns:
  true if handle is null. It is an error to call any function on a null handle.

Definition at line 46 of file Handle.h.

QPID_CLIENT_INLINE_EXTERN bool qpid::client::Handle::isValid | ( |  | ) | const`[inline]`

Returns:
  true if handle is valid, i.e. not null.

Definition at line 43 of file Handle.h.

QPID_CLIENT_INLINE_EXTERN qpid::client::Handle::operator bool | ( |  | ) | const`[inline]`

Conversion to bool supports idiom if (handle) { handle->...

}

Definition at line 49 of file Handle.h.

QPID_CLIENT_INLINE_EXTERN bool qpid::client::Handle::operator! | ( |  | ) | const`[inline]`

Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.

Definition at line 52 of file Handle.h.

Handle& qpid::client::Handle::operator= | ( | const Handle & |  | ) | `[protected]`

void qpid::client::Handle::swap | ( | Handle< T > & | h | ) | `[inline]`

Definition at line 54 of file Handle.h.

## Member Data Documentation

Impl* qpid::client::Handle::impl`[protected]`

Definition at line 64 of file Handle.h.

Referenced by qpid::client::Handle< SubscriptionImpl >::isValid(), qpid::client::Handle< SubscriptionImpl >::isNull(), qpid::client::Handle< SubscriptionImpl >::operator bool(), qpid::client::Handle< SubscriptionImpl >::operator!(), and qpid::client::Handle< SubscriptionImpl >::swap().

The documentation for this class was generated from the following file:

- qpid/client/Handle.h